net.sf.jasperreports.components.iconlabel

## Class IconLabelComponentDesignConverter

- java.lang.Object
- - net.sf.jasperreports.engine.convert.ElementConverter
  - - net.sf.jasperreports.engine.convert.ElementIconConverter
    - - net.sf.jasperreports.components.iconlabel.IconLabelComponentDesignConverter

- All Implemented Interfaces:
    ComponentDesignConverter

      public class IconLabelComponentDesignConverter
      extends ElementIconConverter
      implements ComponentDesignConverter

  Version:
    $Id: TextInputComponentDesignConverter.java 5921 2013-02-19 10:23:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPrintElement` | `convert(ReportConverter reportConverter, JRComponentElement element)` Converts a component element into a print element that represents a preview of the component.
    `static IconLabelComponentDesignConverter` | `getInstance()`

    - ### Methods inherited from class net.sf.jasperreports.engine.convert.ElementIconConverter

      `convert, getRenderer`

    - ### Methods inherited from class net.sf.jasperreports.engine.convert.ElementConverter

      `copyElement, copyGraphicElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static IconLabelComponentDesignConverter getInstance()

    - #### convert

          public JRPrintElement convert(ReportConverter reportConverter,
                               JRComponentElement element)

      Description copied from interface: `ComponentDesignConverter`
      Converts a component element into a print element that represents a preview of the component.
      Specified by:
        `convert` in interface `ComponentDesignConverter`
      Parameters:
        `reportConverter` - the report converter instance
        `element` - the component element
      Returns:
        a print element that represents a preview of the component

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com